Name:           maven-verifier-plugin
Version:        1.1
Release:        %mkrel 2
Summary:        Maven Verifier Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-verifier-plugin/
Source0:        https://www.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip

BuildArch: noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires: mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils) 

%description
Assists in integration testing by means of evaluating 
success/error conditions read from a configuration file.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%mvn_file :%{name} %{name}
%pom_remove_parent
%pom_add_parent org.apache.maven.plugins:maven-plugins:34
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId='maven-plugin-api']" '<scope>provided</scope>'

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Tue May 21 2024 ns80 <ns80> 1.1-2.mga10
+ Revision: 2065479
- rebuild for java 21

* Fri Dec 09 2022 daviddavid <daviddavid> 1.1-1.mga9
+ Revision: 1919643
- Update to latest upstream 1.1 release
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 neoclust <neoclust> 1.0-22.mga8
+ Revision: 1620407
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1.0-21.mga8
+ Revision: 1491960
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-20.mga7
+ Revision: 1264146
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 1.0-19.mga6
+ Revision: 1103829
- Fix BuildRequires
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0-16.mga6
+ Revision: 977287
- First rebuild of the java stack
- sync package maven-verifier-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 1.0-11.mga5
+ Revision: 807306
- sync with fc21
- add missing BuildRequires on maven-plugin-plugin
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 1.0-8.mga4
+ Revision: 560672
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-6.mga3
+ Revision: 359803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-5.mga2
+ Revision: 127171
- Build with maven v3.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-4.mga1
+ Revision: 92937
- Rebuild after bootstrapping
- imported package maven-verifier-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.0-2
- Add missing requires maven2

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 1.0-1
- Initial version of the package
